<s:div xmlns:gdk="http://www.ihe.net/gazellecdk" xmlns:ui="http://java.sun.com/jsf/facelets"
       xmlns:a4j="http://richfaces.org/a4j" xmlns:h="http://java.sun.com/jsf/html"
       xmlns:s="http://jboss.org/schema/seam/taglib"
       xmlns:f="http://java.sun.com/jsf/core"
       xmlns:rich="http://richfaces.org/rich" xmlns="http://www.w3.org/1999/xhtml" template="/layout/template.xhtml">
    #{patientGenerator.initializeOptions()}
    <s:div id="optionsDiv" styleClass="row">
        <div class="col-md-6">
            <ui:decorate template="/layout/panels/_panel_title.xhtml">
                <ui:define name="panel_title">
                    <h:outputText value="#{messages['gazelle.dds.GenerationProfile']}"/>
                </ui:define>
                <h:outputText value="#{messages['gazelle.dds.PleaseSelectOneOrMorePatientProfile']}"/>
                <br/><br/>
                <rich:pickList value="#{patientGenerator.selectedProfileList}">
                    <f:selectItem itemLabel="#{messages['gazelle.dds.MarriedWoman']}" itemValue="Married Woman"/>
                    <f:selectItem itemLabel="#{messages['gazelle.dds.AliasAndDisplayName']}"
                                  itemValue="Alias And Display Name"/>
                    <f:selectItem itemLabel="#{messages['gazelle.dds.DeadPatient']}" itemValue="Dead Patient"/>
                    <f:selectItem itemLabel="#{messages['gazelle.dds.NewBorn']}" itemValue="New Born"/>
                </rich:pickList>
                <br/>
                <a4j:commandButton value="#{messages['gazelle.dds.ApplyOption']}" styleClass="gzl-btn-blue"
                                   actionListener="#{patientGenerator.presetOption()}"
                                   render="genOptionOfSpecPat,optionsDiv"/>
            </ui:decorate>

            <s:decorate id="genOptionOfSpecPat" template="/layout/panels/_panel_title_footer.xhtml">
                <ui:define name="panel_title">
                    <h:outputText value="#{messages['gazelle.dds.GenerationOptions']}"/>
                </ui:define>
                <div class="form-horizontal">
                    <a4j:region id="globalReg">
                        <div class="row">
                            <a4j:region id="CCRegOption">
                                <s:decorate id="CountrycodeDecorationOption"
                                            template="/layout/form/_form_field_horizontal_inline.xhtml">
                                    <ui:define name="label">#{messages['gazelle.dds.CountryCode']}</ui:define>
                                    <ui:param name="id" value="CountrycodeSelectionOption"/>
                                    <h:selectOneMenu id="CountrycodeSelectionOption"
                                                     value="#{patientGenerator.countryCode}"
                                                     styleClass="form-control gzl-form-control gzl-select-text">
                                        <s:selectItems value="#{countryCode.getListOfUsableCountryCode()}"
                                                       var="varCountryCode"
                                                       noSelectionLabel="#{messages['gazelle.common.PleaseSelect']}"
                                                       label="#{varCountryCode.printableName}"/>
                                        <a4j:ajax event="change"
                                                  render="genOptionOfSpecPat"
                                                  listener="#{patientGenerator.getTheDisabledStatus()}"/>
                                    </h:selectOneMenu>
                                </s:decorate>
                            </a4j:region>
                        </div>
                        <div class="row">
                            <a4j:region id="FNRegOption">
                                <s:decorate id="FirstNameOptDecoration"
                                            template="/layout/form/_form_field_horizontal_inline.xhtml">
                                    <ui:define name="label">#{messages['gazelle.dds.FirstName']}</ui:define>
                                    <ui:param name="id" value="FNSelectionOption"/>
                                    <h:selectOneMenu id="FNSelectionOption"
                                                     value="#{patientGenerator.firstNameOption}"
                                                     styleClass="form-control gzl-form-control gzl-select-text">
                                        <s:selectItems value="#{patientGenerator.getGenerationNameOption()}"
                                                       var="fnOption"
                                                       label="#{fnOption}"/>
                                        <a4j:ajax event="change"
                                                  render="FirstNameOptDecoration"
                                                  listener="#{patientGenerator.initializePatients()}"/>
                                    </h:selectOneMenu>
                                    <gdk:spacer width="10"/>
                                    <h:inputText value="#{patientGenerator.firstNameField}" styleClass=" form-control"
                                                 rendered="#{patientGenerator.firstNameOption.equals('Is Like') or patientGenerator.firstNameOption.equals('Is')}"/>
                                </s:decorate>
                            </a4j:region>
                        </div>
                        <div class="row">
                            <a4j:region id="LNRegOption">
                                <s:decorate id="LNOptDecoration"
                                            template="/layout/form/_form_field_horizontal_inline.xhtml">
                                    <ui:define name="label">#{messages['gazelle.dds.LastName']}</ui:define>
                                    <ui:param name="id" value="LNSelectionOption"/>
                                    <h:selectOneMenu id="LNSelectionOption"
                                                     value="#{patientGenerator.lastNameOption}"
                                                     styleClass="form-control gzl-form-control gzl-select-text">
                                        <s:selectItems value="#{patientGenerator.getGenerationNameOption()}"
                                                       var="fnOption"
                                                       label="#{fnOption}"/>
                                        <a4j:ajax event="change"
                                                  render="LNOptDecoration"
                                                  listener="#{patientGenerator.initializePatients()}"/>
                                    </h:selectOneMenu>
                                    <gdk:spacer width="10"/>
                                    <h:inputText value="#{patientGenerator.lastNameField}" styleClass=" form-control"
                                                 rendered="#{patientGenerator.lastNameOption.equals('Is') or patientGenerator.lastNameOption.equals('Is Like')}"/>
                                </s:decorate>
                            </a4j:region>
                        </div>
                        <div class="row">
                            <a4j:region id="motheroptReg">
                                <s:decorate id="motherOptDecoration"
                                            template="/layout/form/_form_field_horizontal_inline.xhtml">
                                    <ui:define name="label">#{messages['gazelle.dds.MotherMaidenName']}</ui:define>
                                    <ui:param name="id" value="MMNSelectionOption"/>
                                    <h:selectOneMenu id="MMNSelectionOption"
                                                     value="#{patientGenerator.motherMaidenNameOption}"
                                                     styleClass="form-control gzl-form-control gzl-select-text">
                                        <s:selectItems value="#{patientGenerator.getGenerationOption()}"
                                                       var="mnOption"
                                                       label="#{mnOption}"/>
                                        <a4j:ajax event="change"
                                                  listener="#{patientGenerator.initializePatients()}"/>
                                    </h:selectOneMenu>
                                </s:decorate>
                            </a4j:region>
                        </div>
                        <div class="row">
                            <a4j:region id="GenderReg">
                                <s:decorate id="GenderOptDecoration"
                                            template="/layout/form/_form_field_horizontal_inline.xhtml">
                                    <ui:define name="label">#{messages['gazelle.dds.Gender']}</ui:define>
                                    <ui:param name="id" value="CCodeSelection"/>
                                    <h:selectOneMenu id="CCodeSelection" value="#{patientGenerator.genderOption}"
                                                     styleClass="form-control gzl-form-control gzl-select-text">
                                        <s:selectItems value="#{patientGenerator.getGender()}" var="currentGender"
                                                       label="#{currentGender}"/>
                                        <a4j:ajax event="change"
                                                  render="genOptionOfSpecPat"
                                                  listener="#{patientGenerator.getTheDisabledStatus()}"/>
                                    </h:selectOneMenu>
                                </s:decorate>
                            </a4j:region>
                        </div>
                        <div class="row">
                            <s:div id="NewBorndiv">
                                <s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
                                    <ui:define name="label">#{messages['gazelle.dds.NewBorn']}</ui:define>
                                    <ui:param name="id" value="newBornOptionSelection"/>
                                    <h:selectOneMenu id="newBornOptionSelection"
                                                     value="#{patientGenerator.newBornOption}"
                                                     disabled="#{patientGenerator.newBornDisabledOption}"
                                                     styleClass="form-control gzl-form-control gzl-select-text">
                                        <s:selectItems value="#{patientGenerator.getDeadPatientList()}"
                                                       var="mnOption"
                                                       label="#{mnOption}"/>
                                        <a4j:ajax event="change"
                                                  render="genOptionOfSpecPat"
                                                  listener="#{patientGenerator.initializePatients()}"/>
                                    </h:selectOneMenu>
                                </s:decorate>
                            </s:div>
                        </div>
                        <div class="row">
                            <s:div id="MaritalStatusDiv">
                                <s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
                                    <ui:define name="label">#{messages['gazelle.dds.MaritalStatus']}</ui:define>
                                    <ui:param name="id" value="maritalSatusOptionSelection"/>
                                    <h:selectOneMenu id="maritalSatusOptionSelection"
                                                     value="#{patientGenerator.maritalSatusOption}"
                                                     disabled="#{patientGenerator.maritalStatusDisabledOption}"
                                                     styleClass="form-control gzl-form-control gzl-select-text">
                                        <s:selectItems value="#{patientGenerator.getMaritalStatusList()}"
                                                       var="currentMaritalStatus" label="#{currentMaritalStatus}"/>
                                        <a4j:ajax event="change"
                                                  render="genOptionOfSpecPat"
                                                  listener="#{patientGenerator.getTheDisabledStatus()}"/>
                                    </h:selectOneMenu>
                                </s:decorate>
                            </s:div>
                        </div>
                        <div class="row">
                            <s:div id="MaidenNameDiv">
                                <s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
                                    <ui:define name="label">#{messages['gazelle.dds.MaidenName']}</ui:define>
                                    <ui:param name="id" value="maidenNameOptionSelection"/>
                                    <h:selectOneMenu id="maidenNameOptionSelection"
                                                     value="#{patientGenerator.maidenNameOption}"
                                                     disabled="#{patientGenerator.maidenNameDisabledOption}"
                                                     styleClass="form-control gzl-form-control gzl-select-text">
                                        <s:selectItems value="#{patientGenerator.getGenerationOption()}"
                                                       var="mnOption"
                                                       label="#{mnOption}"/>
                                        <a4j:ajax event="change"
                                                  render="genOptionOfSpecPat"
                                                  listener="#{patientGenerator.initializePatients()}"/>
                                    </h:selectOneMenu>
                                </s:decorate>
                            </s:div>
                        </div>
                        <div class="row">
                            <s:div id="ReligionReg">
                                <s:decorate id="ReligionOptDecoration"
                                            template="/layout/form/_form_field_horizontal_inline.xhtml">
                                    <ui:define name="label">#{messages['gazelle.dds.Religion']}</ui:define>
                                    <ui:param name="id" value="ReligionCodeSelection"/>
                                    <h:selectOneMenu id="ReligionCodeSelection"
                                                     disabled="#{!patientGenerator.countryCode.generateReligion}"
                                                     value="#{patientGenerator.religionOption}"
                                                     styleClass="form-control gzl-form-control gzl-select-text">
                                        <s:selectItems
                                                value="#{patientGenerator.getGenerationReligionListForSpecificCountry(patientGenerator.countryCode)}"
                                                var="currentReligion" label="#{currentReligion}"/>
                                        <a4j:ajax event="change"
                                                  listener="#{patientGenerator.initializePatients()}"/>
                                    </h:selectOneMenu>
                                </s:decorate>
                            </s:div>
                        </div>
                        <div class="row">
                            <s:div id="RaceReg">
                                <s:decorate id="RaceOptDecoration"
                                            template="/layout/form/_form_field_horizontal_inline.xhtml">
                                    <ui:define name="label">#{messages['gazelle.dds.Race']}</ui:define>
                                    <ui:param name="id" value="RaceCodeSelection"/>
                                    <h:selectOneMenu id="RaceCodeSelection" value="#{patientGenerator.raceOption}"
                                                     styleClass="form-control gzl-form-control gzl-select-text"
                                                     disabled="#{!patientGenerator.countryCode.generateRace}">
                                        <s:selectItems
                                                value="#{patientGenerator.getGenerationRaceListForSpecificCountry(patientGenerator.countryCode)}"
                                                var="currentRace" label="#{currentRace}"/>
                                        <a4j:ajax event="change"
                                                  listener="#{patientGenerator.initializePatients()}"/>
                                    </h:selectOneMenu>
                                </s:decorate>
                            </s:div>
                        </div>
                        <div class="row">
                            <a4j:region>
                                <s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
                                    <ui:define name="label">#{messages['gazelle.dds.AliasName']}</ui:define>
                                    <ui:param name="id" value="aliasNameOptionSelection"/>
                                    <h:selectOneMenu id="aliasNameOptionSelection"
                                                     value="#{patientGenerator.aliasNameOption}"
                                                     styleClass="form-control gzl-form-control gzl-select-text">
                                        <s:selectItems value="#{patientGenerator.getGenerationOption()}"
                                                       var="mnOption"
                                                       label="#{mnOption}"/>
                                        <a4j:ajax event="change"
                                                  listener="#{patientGenerator.initializePatients()}"/>
                                    </h:selectOneMenu>
                                </s:decorate>
                            </a4j:region>
                        </div>
                        <div class="row">
                            <a4j:region>
                                <s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
                                    <ui:define name="label">#{messages['gazelle.dds.DisplayName']}</ui:define>
                                    <ui:param name="id" value="displayNameOptionSelection"/>
                                    <h:selectOneMenu id="displayNameOptionSelection"
                                                     value="#{patientGenerator.displayNameOption}"
                                                     styleClass="form-control gzl-form-control gzl-select-text">
                                        <s:selectItems value="#{patientGenerator.getGenerationOption()}"
                                                       var="mnOption"
                                                       label="#{mnOption}"/>
                                        <a4j:ajax event="change"
                                                  listener="#{patientGenerator.initializePatients()}"/>
                                    </h:selectOneMenu>
                                </s:decorate>
                            </a4j:region>
                        </div>
                        <div class="row">
                            <a4j:region id="BirthDayReg">
                                <s:decorate id="BirthDayOptDecoration"
                                            template="/layout/form/_form_field_horizontal_inline.xhtml">
                                    <ui:define name="label">#{messages['gazelle.dds.DateOfBirth']}</ui:define>
                                    <ui:param name="id" value="DOBSelectionOption"/>
                                    <h:selectOneMenu id="DOBSelectionOption"
                                                     value="#{patientGenerator.birthDayOption}"
                                                     styleClass="form-control gzl-form-control gzl-select-text">
                                        <s:selectItems value="#{patientGenerator.getGenerationOption()}"
                                                       var="mnOption"
                                                       label="#{mnOption}"/>
                                        <a4j:ajax event="change"
                                                  render="AddressReg,TowntexistId,CCNotexistId,specCoordonatesIs"
                                                  listener="#{patientGenerator.initializePatients()}"/>
                                    </h:selectOneMenu>
                                </s:decorate>
                            </a4j:region>
                        </div>
                        <div class="row">
                            <a4j:region>
                                <s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
                                    <ui:define name="label">#{messages['gazelle.dds.DeadPatient']}</ui:define>
                                    <ui:param name="id" value="deadPatientOptionSelection"/>
                                    <h:selectOneMenu id="deadPatientOptionSelection"
                                                     value="#{patientGenerator.deadPatientOption}"
                                                     styleClass="form-control gzl-form-control gzl-select-text">
                                        <s:selectItems value="#{patientGenerator.getDeadPatientList()}"
                                                       var="currentDeadPatientOption"
                                                       label="#{currentDeadPatientOption}"/>
                                        <a4j:ajax event="change"
                                                  listener="#{patientGenerator.initializePatients()}"/>
                                    </h:selectOneMenu>
                                </s:decorate>
                            </a4j:region>
                        </div>
                        <div class="row">
                            <s:div id="AddressReg">
                                <s:decorate id="AddressOptDecoration"
                                            template="/layout/form/_form_field_horizontal_inline.xhtml">
                                    <ui:define name="label">#{messages['gazelle.dds.Address']}</ui:define>
                                    <ui:param name="id" value="AddSelectionOption"/>
                                    <h:selectOneMenu id="AddSelectionOption"
                                                     value="#{patientGenerator.addressOption}"
                                                     styleClass="form-control gzl-form-control gzl-select-text">
                                        <s:selectItems value="#{patientGenerator.getGenerationAddressOption()}"
                                                       var="addOption"
                                                       label="#{addOption}"/>
                                        <a4j:ajax event="change"
                                                  render="AddressOptDecoration,addoutput,TownSelection"
                                                  listener="#{patientGenerator.initializePatients()}"/>
                                    </h:selectOneMenu>
                                    <gdk:spacer width="10"/>
                                    <h:outputText id="erroroutput"
                                                  value="#{messages['gazelle.dds.AnyCountryCodeSelectedMessage']}"
                                                  rendered="#{(patientGenerator.countryCode == null) and patientGenerator.addressOption.equals('Nearby')}"/>
                                    <h:outputText id="addoutput" value="#{messages['gazelle.dds.Selectatown']}"
                                                  rendered="#{(patientGenerator.countryCode != null) and patientGenerator.addressOption.equals('Nearby')}"/>
                                    <gdk:spacer width="10"/>
                                    <h:selectOneMenu id="TownSelection" value="#{patientGenerator.selectedTown}"
                                                     styleClass="form-control gzl-form-control gzl-select-text"
                                                     rendered="#{(patientGenerator.countryCode != null) and patientGenerator.addressOption.equals('Nearby')}">
                                        <s:selectItems value="#{patientGenerator.getListTownByCountrycode()}"
                                                       var="currentTown"
                                                       noSelectionLabel="#{messages['gazelle.common.PleaseSelect']}"
                                                       label="#{currentTown.name}" render="CCNotexistId"/>
                                    </h:selectOneMenu>
                                </s:decorate>
                            </s:div>
                        </div>
                    </a4j:region>
                    <ui:define name="panel_footer">
                        <a4j:commandButton id="ResetbuttonOption" value="#{messages['gazelle.dds.resetOptions']}"
                                           styleClass="gzl-btn" actionListener="#{patientGenerator.resetOption(true)}"
                                           render="optionsDiv" execute="@region"/>
                        <a4j:commandButton id="buttonSpecificGenerate"
                                           value="#{messages['gazelle.dds.GeneratePatient']}"
                                           styleClass="gzl-btn-green"
                                           actionListener="#{patientGenerator.generatePatient()}"
                                           render="optionsDiv,SharePatientPicture" execute="@region"/>
                    </ui:define>
                </div>
            </s:decorate>
        </div>
        <div class="col-md-6">
            <s:div id="generatedSpecPatientDiv">
                <h:panelGroup
                        rendered="#{(patientGenerator.specificPatient != null) and (not empty patientGenerator.specificPatient)}">
                    <s:div>
                        <ui:include src="/patient/viewPatient.xhtml">
                            <ui:param name="currentPatientVariable" value="#{patientGenerator.specificPatient}"/>
                            <ui:param name="managerBean" value="#{patientGenerator}"/>
                        </ui:include>
                    </s:div>
                    <s:div id="SharePatientPicture"
                           rendered="#{(patientGenerator.specificPatient != null) and (not empty patientGenerator.specificPatient)}">
                        <a4j:commandLink event="click" execute="@this"
                                         title="#{messages['gazelle.dds.SharePatient']}"
                                         action="#{patientGenerator.sharePatient()}">
                                         <span class="gzl-icon-stack">
                                          <span class="gzl-icon-user gzl-icon-stack-1x"/>
                                          <span class="gzl-icon-share-alt gzl-icon-stack-1x gzl-icon-stack-bottom-right  gzl-color-light-orange"/>
                                        </span>
                        </a4j:commandLink>
                    </s:div>
                </h:panelGroup>
            </s:div>
        </div>
    </s:div>

</s:div>
